%define _prefix /usr

Summary: Support library for Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-libnasl
Version: 2.0.0.beta2
Release: 1.art
Source0: %{name}-%{version}.tar.gz
License: GNU GPLv2 and GNU LGPLv2
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
Packager:       Scott R. Shinn <scott@atomicrocketturtle.com>
AutoReqProv: no
AutoReq: 0

BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

BuildRequires: openvas-libraries-devel >= %{version}
BuildRequires: gpgme-devel bison 

# ART (prime mock)
%if 0%{?el3}%{?el4}%{?fc4}
BuildRequires: libpcap libgcrypt-devel gnutls-devel
#%else
#BuildRequires: libpcap-devel libgcrypt-devel gnutls-devel
%endif

# el4 might need a glib2 update
BuildRequires: flex glib2-devel 




%package devel
Summary: Development files for openvas-libnasl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
openvas-libnasl is the NASL interpreter library
for the OpenVAS network security scanner.

%description devel
This package contains the development files (mainly C header files)
for openvas-libnasl.

%prep
%setup -b 0
#%patch0
#%patch1
#%patch2
#%patch3

%build
%configure --prefix=%{_prefix}
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
# for release > 1.0.0 this file should be added: CHANGES
%doc doc/signatures-howto.txt doc/nasl_guide.tex
%{_mandir}/man1/openvas-nasl.1.gz
%{_libdir}/lib*
%{_bindir}/openvas-nasl

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/
%{_bindir}/openvas-libnasl-config
%{_mandir}/man1/openvas-libnasl-config.1.gz

%changelog
* Mon Nov 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to 2.0.0.beta2

* Fri Nov 7 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- update to 2.0.0.beta1
- changes to build in ART

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
  - extended BuildRequires with gpgme-devel and bison.
* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
